=== debian/control ===
Source: ros-lunar-sick-scan
Section: misc
Priority: extra
Maintainer: Michael Lehning <michael.lehning@lehning.de>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-diagnostic-updater, ros-lunar-dynamic-reconfigure, ros-lunar-message-generation, ros-lunar-pcl-conversions, ros-lunar-pcl-ros, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-visualization-msgs
Homepage: http://wiki.ros.org/sick_scan
Standards-Version: 3.9.2

Package: ros-lunar-sick-scan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-diagnostic-updater, ros-lunar-dynamic-reconfigure, ros-lunar-message-runtime, ros-lunar-pcl-conversions, ros-lunar-pcl-ros, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-visualization-msgs
Description: A ROS driver for the SICK TiM and SICK MRS series of laser scanners.
 This package is based on the original sick_tim-repository of Martin Günther et al.
